org.apache.ignite.internal.processors.cache.verify

## Class PartitionKey

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.verify.PartitionKey

All Implemented Interfaces:
  Serializable

    public class PartitionKey
    extends Object
    implements Serializable

Partition key - pair of cache group ID and partition ID.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PartitionKey(int grpId, int partId, String grpName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `groupId()`
`String` `groupName()`
`void` `groupName(String grpName)`
`int` `hashCode()`
`int` `partitionId()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PartitionKey

    public PartitionKey(int grpId,
                        int partId,
                        String grpName)

Parameters:
  `grpId` - Group id.
  `partId` - Partition id.
  `grpName` - Group name.

### Method Detail

#### groupId

    public int groupId()

Returns:
  Group id.

#### partitionId

    public int partitionId()

Returns:
  Partition id.

#### groupName

    public String groupName()

Returns:
  Group name.

#### groupName

    public void groupName(String grpName)

Parameters:
  `grpName` - Group name.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020